/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext Dependency Manager API License Agreement [1].
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/dependency-manager-ext-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.dependency.maven20;

import org.bluestemsoftware.specification.eoa.FactoryDependency;
import org.bluestemsoftware.specification.eoa.SystemDependencies;

/**
 * Models a <code>FactoryDependency</code> within context of Maven 2.0 dependency
 * management system. A factory dependency MUST specify scope 'runtime' and type
 * 'eoa-factory'. 
 * 
 * @see SystemDependencies#getFactoryDependencies()
 */
public interface MavenFactoryDependency extends FactoryDependency {

    public static final String TYPE = "eoa-factory";

    public static final String SCOPE = "runtime";

}
